import data
#from pygsear import Sound, conf
from pygsear.Drawable import Image, Stationary, String
#from pygsear.Widget import StationaryButton
from pygsear.Util import load_image, load_images, load_sound
from MyWidget import FlipButton

X_offset=128 #Game board starts here
Y_offset=46

MSG_count=String()

BG_level=load_image(filename=data.filepath('images/board.png'))
BG_mmenu=load_image(filename=data.filepath('images/board.png'))
BG_tygro=load_image(filename=data.filepath('images/tygro-screen.png'))

INTRO=[]
INTRO.append(load_image(filename=data.filepath('images/intro01.png')))
INTRO.append(load_image(filename=data.filepath('images/intro02.png')))
INTRO.append(load_image(filename=data.filepath('images/intro03.png')))
INTRO.append(load_image(filename=data.filepath('images/intro04.png')))
INTRO.append(load_image(filename=data.filepath('images/intro05.png')))
INTRO.append(load_image(filename=data.filepath('images/intro06.png')))

BTN_start=FlipButton(sprites=
    [Image(filename=data.filepath('images/btnstart1.png')),
    Image(filename=data.filepath('images/btnstart2.png'))])
BTN_start.set_position((-300,-300))

BTN_quit=FlipButton(sprites=
    [Image(filename=data.filepath('images/btnquit1.png')),
    Image(filename=data.filepath('images/btnquit2.png'))])
BTN_quit.set_position((-300,-300))

BTN_nextlvl=FlipButton(sprites=
    [Image(filename=data.filepath('images/btnnextlvl1.png')),
    Image(filename=data.filepath('images/btnnextlvl2.png'))])
BTN_nextlvl.set_position((-300,-300))

BTN_tomain=FlipButton(sprites=
    [Image(filename=data.filepath('images/btnretomain1.png')),
    Image(filename=data.filepath('images/btnretomain2.png'))])
BTN_tomain.set_position((-300,-300))

BTN_resume=FlipButton(sprites=
    [Image(filename=data.filepath('images/btncont1.png')),
    Image(filename=data.filepath('images/btncont2.png'))])
BTN_resume.set_position((-300,-300))

SEL={}
SEL['top']=Stationary(sprite=Image(filename=data.filepath('images/seltop.png')))
SEL['bottom']=Stationary(sprite=Image(filename=data.filepath('images/seltop.png')))
SEL['left']=Stationary(sprite=Image(filename=data.filepath('images/selleft.png')))
SEL['right']=Stationary(sprite=Image(filename=data.filepath('images/selleft.png')))

IMG_title=Stationary(sprite=Image(filename=data.filepath('images/title.png')))
IMG_title.set_position((-200,-200))
IMG_done=Stationary(sprite=Image(filename=data.filepath('images/msgdone.png')))
IMG_done.set_position((-200,-200))
IMG_grats=Stationary(sprite=Image(filename=data.filepath('images/congrat.png')))
IMG_grats.set_position((-200,-200))
IMG_credits=Stationary(sprite=Image(filename=data.filepath('images/credits.png')))
IMG_credits.set_position((810,0))
IMG_cat=Stationary(sprite=Image(filename=data.filepath('images/helpcat.png')))
IMG_cat.set_position((810,0))

SND_stone=load_sound(filename=data.filepath('sounds/stone.ogg'))
SND_twist=load_sound(filename=data.filepath('sounds/twist.ogg'))
SND_music=load_sound(filename=data.filepath('sounds/slider1000.ogg'))

anims=data.filepath('anims/w2b')
FILES_toblack=[anims+'/flip01.png',anims+'/flip02.png',anims+'/flip03.png',
        anims+'/flip04.png',anims+'/flip05.png',anims+'/flip06.png',
        anims+'/flip07.png',anims+'/flip08.png']

anims=data.filepath('anims/b2w')
FILES_towhite=[anims+'/flip01.png',anims+'/flip02.png',anims+'/flip03.png',
        anims+'/flip04.png',anims+'/flip05.png',anims+'/flip06.png',
        anims+'/flip07.png',anims+'/flip08.png']

try:
    LEVELS=[]
    f=open(data.filepath('levels.conf'))
    for line in f:
        LEVELS.append(line.strip())
    f.close()
except:
    print 'Using dummy level order'
    LEVELS=['test.lvl']

BTN_flip = FlipButton(sprites=
    [Image(filename=data.filepath('images/btnt.png')),
    Image(filename=data.filepath('images/btnt_psh.png'))])
BTN_flip.set_position((-32,-32))

BTN_select = FlipButton(sprites=
    [Image(filename=data.filepath('images/btns.png')),
    Image(filename=data.filepath('images/btns_psh.png'))])
BTN_select.set_position((-32,-32))

#lvl_completed=(238,249)
#tomain=(224,302)
#next=(385,302)
#Twist= (640, 302)
#select=(640, 334)
#Prev=(657, 254)
#board=(128,46)
#grats=(223,77)
#IMG_white=load_image(filename=data.filepath('images/white.png'))
#IMG_black=load_image(filename=data.filepath('images/black.png'))
